"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var BSFieldText_1 = (0, tslib_1.__importDefault)(require("./BSFieldText"));
function BSCheckField(props) {
    return (react_1.default.createElement("div", { className: "form-check" },
        react_1.default.createElement("input", { type: "checkbox", className: "form-check-input".concat(props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: String(props.value), disabled: props.disabled, onChange: function (e) { return props.onChange(e.target.checked); }, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        react_1.default.createElement("label", { className: "form-check-label", htmlFor: props.id }, props.label),
        react_1.default.createElement(BSFieldText_1.default, (0, tslib_1.__assign)({}, props))));
}
exports.default = BSCheckField;
//# sourceMappingURL=BSCheckField.js.map