import { __assign } from "tslib";
import React from 'react';
import BSFieldText from './BSFieldText';
export default function BSCheckField(props) {
    return (React.createElement("div", { className: "form-check" },
        React.createElement("input", { type: "checkbox", className: "form-check-input".concat(props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: String(props.value), disabled: props.disabled, onChange: function (e) { return props.onChange(e.target.checked); }, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        React.createElement("label", { className: "form-check-label", htmlFor: props.id }, props.label),
        React.createElement(BSFieldText, __assign({}, props))));
}
//# sourceMappingURL=BSCheckField.js.map