import { __assign } from "tslib";
import React from 'react';
import BSFieldText from './BSFieldText';
export default function BSSelectField(props) {
    var _a, _b;
    return (React.createElement(React.Fragment, null,
        props.label && (React.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label)),
        React.createElement("select", { className: "form-select".concat(props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: (_a = props.value) !== null && _a !== void 0 ? _a : '', disabled: props.disabled, onChange: function (e) { return props.onChange(e.target.value); }, onBlur: props.onBlur, "aria-describedby": props.describedBy },
            React.createElement("option", { value: "", disabled: true }, (_b = props.placeholder) !== null && _b !== void 0 ? _b : ''),
            props.options.map(function (option) { return (React.createElement("option", { key: option.value, value: option.value }, option.label)); })),
        React.createElement(BSFieldText, __assign({}, props))));
}
//# sourceMappingURL=BSSelectField.js.map