"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var BSFieldText_1 = (0, tslib_1.__importDefault)(require("./BSFieldText"));
function BSSelectField(props) {
    var _a, _b;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        props.label && (react_1.default.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label)),
        react_1.default.createElement("select", { className: "form-select".concat(props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: (_a = props.value) !== null && _a !== void 0 ? _a : '', disabled: props.disabled, onChange: function (e) { return props.onChange(e.target.value); }, onBlur: props.onBlur, "aria-describedby": props.describedBy },
            react_1.default.createElement("option", { value: "", disabled: true }, (_b = props.placeholder) !== null && _b !== void 0 ? _b : ''),
            props.options.map(function (option) { return (react_1.default.createElement("option", { key: option.value, value: option.value }, option.label)); })),
        react_1.default.createElement(BSFieldText_1.default, (0, tslib_1.__assign)({}, props))));
}
exports.default = BSSelectField;
//# sourceMappingURL=BSSelectField.js.map