"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var react_1 = (0, tslib_1.__importDefault)(require("react"));
var BSFieldText_1 = (0, tslib_1.__importDefault)(require("./BSFieldText"));
function BSTextField(props) {
    var _a;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label),
        react_1.default.createElement("input", { type: "text", className: "form-control".concat(props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: (_a = props.value) !== null && _a !== void 0 ? _a : '', placeholder: props.placeholder, disabled: props.disabled, onChange: function (e) { return props.onChange(e.target.value); }, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        react_1.default.createElement(BSFieldText_1.default, (0, tslib_1.__assign)({}, props))));
}
exports.default = BSTextField;
//# sourceMappingURL=BSTextField.js.map