import { __assign } from "tslib";
import React from 'react';
import BSFieldText from './BSFieldText';
export default function BSNumberField(props) {
    var _a;
    return (React.createElement(React.Fragment, null,
        React.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label),
        React.createElement("input", { type: "number", className: "form-control".concat(props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: (_a = props.value) !== null && _a !== void 0 ? _a : '', placeholder: props.placeholder, disabled: props.disabled, onChange: function (e) {
                var value = parseFloat(e.target.value);
                props.onChange(!isNaN(value) ? value : null);
            }, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        React.createElement(BSFieldText, __assign({}, props))));
}
//# sourceMappingURL=BSNumberField.js.map