import { __assign } from "tslib";
import React from 'react';
import BSFieldText from './BSFieldText';
export default function BSTextAreaField(props) {
    var _a, _b;
    return (React.createElement(React.Fragment, null,
        React.createElement("label", { htmlFor: props.id, className: "form-label" }, props.label),
        React.createElement("textarea", { rows: (_a = props.rows) !== null && _a !== void 0 ? _a : 6, className: "form-control".concat(props.error ? ' is-invalid' : ''), id: props.id, name: props.name, value: (_b = props.value) !== null && _b !== void 0 ? _b : '', placeholder: props.placeholder, disabled: props.disabled, onChange: function (e) { return props.onChange(e.target.value); }, onBlur: props.onBlur, "aria-describedby": props.describedBy }),
        React.createElement(BSFieldText, __assign({}, props))));
}
//# sourceMappingURL=BSTextAreaField.js.map